---
# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://public-data.desy.de/metadata/mixins
name: mixins
prefixes:
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
imports: [linkml:types, base_types,base_gassystem_p65 ]
default_range: string
classes:

  rockit:
    description: Metadata fo rockit
    # should get all what one can get from PaNET
    attributes:
      GasComposition:
        description: Describe gas composition
        range: string
      GasSystemData:
        description: Describe various flow meter and calibration permissible_values
        range: GasSystem

      

  rockit_Container:
    mixin: true
    attributes:
      GIXD:
        range: GIXD_Technique

  # would it make sense to go in parallel for filebased "informative" metadata separately?
